
#Diretório de backup do GLPI
DIR="/mnt/backups";
#
# Define o formato do nome do arquivo de backup
DB="glpi-DB-`date +%d_%m_%Y-%H_%M`"
#
# Gerando o arquivo SQL com o mysqldump.
mysqldump --host=LOCALHOST --user=meuusuario --password=minhasenha --databases glpi > $DIR/$DB.sql
#
# Verifica se o diretório existe, se não ele irá criar e dar permissão
if [ ! -d $DIR ]; then
	mkdir $DIR
	chmod -R 0777 $DIR
fi
#
# Abrindo o diretório
cd $DIR
#
# Compactando o arquivo para que não fique muito grande
tar -zvcf $DB.tar.gz $DB.sql
#
# Removendo o arquivo original para liberar espaço
rm -f $DIR/$DB.sql
#
# Removendo arquivos com mais de 1 dias
find $DIR/*.tar.gz -ctime +0 -exec rm -rf {} \; 
#
# Removendo o backup da instalação completa anterior
rm -f $DIR/glpi.tar.gz
#
# Refaz o backup da instalação completa
tar -zvcf $DIR/glpi.tar.gz /usr/share/glpi
#Migra o banco e a aplicação via FTP para outro servidor.
ncftpput -f /usr/local/sbin/.backupserver.cfg -vZmRF /meuftp /mnt/backups/*

